package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description : 工厂仓库
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="WMS_WAREHOUSE")
@Api("工厂仓库信息")
public class WareHouse extends BaseBean {

    private static final long serialVersionUID = 7914396535326597148L;
    @Column(name="CODE")
    @ApiParam("仓库代码")
    public String code;

    @Column(name="NAME")
    @ApiParam("仓库名称")
    public String name;

    @Column(name="ADDRESS")
    @ApiParam("仓库地址")
    public String address;

    @Column(name = "WH_LENGTH", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "长")
    private Double whLength;

    @Column(name = "WH_WIDTH", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "宽")
    private Double whWidth;

    @Column(name = "WH_HEIGHT", columnDefinition = "decimal(18,8)")
    @ApiParam(value = "高")
    private Double whHeight;

    @Transient
    @ApiParam(value ="存储区列表")
    private List<WmsZones> zoneList;

    public double getWhLengthVal() {
        return this.whLength == null ? 0 : this.whLength.doubleValue();
    }
    public double getWhWidthVal() {
        return this.whWidth == null ? 0 : this.whWidth.doubleValue();
    }
    public double getWhHeightVal() {
        return this.whHeight == null ? 0 : this.whHeight.doubleValue();
    }
}
